package com.sxyz.rfid.utils;

import android.util.Log;

public class L {
    public static final boolean DEBUG_LOG = true;

    /**
     * 信息
     */
    public static void i(String log) {
        if (DEBUG_LOG) {
            Log.i("xxx", log);
        }
    }

    /**
     * 警告
     */
    public static void w(String log) {
        if (DEBUG_LOG) {
            Log.w("xxx", log);
        }
    }

    /**
     * 错误
     */
    public static void e(String log) {
        if (DEBUG_LOG) {
            Log.e("xxx", log);
        }
    }

    /**
     * 测试
     */
    public static void d(String log) {
        if (DEBUG_LOG) {
            Log.d("xxx", log);
        }
    }

    public static void v(String log) {
        if (DEBUG_LOG) {
            Log.v("xxx", log);
        }
    }

    /**
     * 截断输出日志
     *
     * @param msg
     */
    public static void json(String msg) {
        String tag = "xxx";
        if (tag == null || tag.length() == 0
                || msg == null || msg.length() == 0)
            return;

        int segmentSize = 3 * 1024;
        long length = msg.length();
        if (length <= segmentSize) {// 长度小于等于限制直接打印
            Log.e(tag, msg);
        } else {
            while (msg.length() > segmentSize) {// 循环分段打印日志
                String logContent = msg.substring(0, segmentSize);
                msg = msg.replace(logContent, "");
                Log.e(tag, logContent);
            }
            Log.e(tag, msg);// 打印剩余日志
        }
    }
}
